package domain

import (
	"topsdk/util"
)

type TmallExchangeReceiveGetExchange struct {
	/*
	   支付宝ID     */
	AlipayNo *string `json:"alipay_no,omitempty" `

	/*
	   买家昵称     */
	BuyerNick *string `json:"buyer_nick,omitempty" `

	/*
	   卖家昵称     */
	SellerNick *string `json:"seller_nick,omitempty" `

	/*
	   换货单创建时间     */
	Created *util.LocalTime `json:"created,omitempty" `

	/*
	   换货单最新修改时间     */
	Modified *util.LocalTime `json:"modified,omitempty" `

	/*
	   当前换货单状态     */
	Status *string `json:"status,omitempty" `

	/*
	   当前商品状态     */
	GoodStatus *string `json:"good_status,omitempty" `

	/*
	   支付费用     */
	Payment *string `json:"payment,omitempty" `

	/*
	   申请换货原因     */
	Reason *string `json:"reason,omitempty" `

	/*
	   商品名称     */
	Title *string `json:"title,omitempty" `

	/*
	   价格     */
	Price *string `json:"price,omitempty" `

	/*
	   购买数     */
	Num *int64 `json:"num,omitempty" `

	/*
	   卖家换货地址     */
	Address *string `json:"address,omitempty" `

	/*
	   购买的商品sku     */
	BoughtSku *string `json:"bought_sku,omitempty" `

	/*
	   买家申请换货的商品sku     */
	ExchangeSku *string `json:"exchange_sku,omitempty" `

	/*
	   买家发货物流公司     */
	BuyerLogisticName *string `json:"buyer_logistic_name,omitempty" `

	/*
	   买家发货快递单号     */
	BuyerLogisticNo *string `json:"buyer_logistic_no,omitempty" `

	/*
	   正向单号ID     */
	BizOrderId *string `json:"biz_order_id,omitempty" `

	/*
	   换货单号ID     */
	DisputeId *string `json:"dispute_id,omitempty" `

	/*
	   卖家发货物流公司     */
	SellerLogisticName *string `json:"seller_logistic_name,omitempty" `

	/*
	   卖家发货快递单号     */
	SellerLogisticNo *string `json:"seller_logistic_no,omitempty" `

	/*
	   买家换货地址     */
	BuyerAddress *string `json:"buyer_address,omitempty" `

	/*
	   超时时间     */
	TimeOut *string `json:"time_out,omitempty" `

	/*
	   买家联系方式     */
	BuyerPhone *string `json:"buyer_phone,omitempty" `

	/*
	   buyerName     */
	BuyerName *string `json:"buyer_name,omitempty" `

	/*
	   收件人ID (Open Addressee ID)，长度在128个字符之内。     */
	Oaid *string `json:"oaid,omitempty" `

	/*
	   买家openId     */
	BuyerOpenUid *string `json:"buyer_open_uid,omitempty" `

	/*
	   扩展属性     */
	Attributes *string `json:"attributes,omitempty" `

	/*
	   修改后购买的商品sku     */
	NewBoughtSku *string `json:"new_bought_sku,omitempty" `
}

func (s *TmallExchangeReceiveGetExchange) SetAlipayNo(v string) *TmallExchangeReceiveGetExchange {
	s.AlipayNo = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetBuyerNick(v string) *TmallExchangeReceiveGetExchange {
	s.BuyerNick = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetSellerNick(v string) *TmallExchangeReceiveGetExchange {
	s.SellerNick = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetCreated(v util.LocalTime) *TmallExchangeReceiveGetExchange {
	s.Created = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetModified(v util.LocalTime) *TmallExchangeReceiveGetExchange {
	s.Modified = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetStatus(v string) *TmallExchangeReceiveGetExchange {
	s.Status = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetGoodStatus(v string) *TmallExchangeReceiveGetExchange {
	s.GoodStatus = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetPayment(v string) *TmallExchangeReceiveGetExchange {
	s.Payment = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetReason(v string) *TmallExchangeReceiveGetExchange {
	s.Reason = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetTitle(v string) *TmallExchangeReceiveGetExchange {
	s.Title = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetPrice(v string) *TmallExchangeReceiveGetExchange {
	s.Price = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetNum(v int64) *TmallExchangeReceiveGetExchange {
	s.Num = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetAddress(v string) *TmallExchangeReceiveGetExchange {
	s.Address = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetBoughtSku(v string) *TmallExchangeReceiveGetExchange {
	s.BoughtSku = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetExchangeSku(v string) *TmallExchangeReceiveGetExchange {
	s.ExchangeSku = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetBuyerLogisticName(v string) *TmallExchangeReceiveGetExchange {
	s.BuyerLogisticName = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetBuyerLogisticNo(v string) *TmallExchangeReceiveGetExchange {
	s.BuyerLogisticNo = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetBizOrderId(v string) *TmallExchangeReceiveGetExchange {
	s.BizOrderId = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetDisputeId(v string) *TmallExchangeReceiveGetExchange {
	s.DisputeId = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetSellerLogisticName(v string) *TmallExchangeReceiveGetExchange {
	s.SellerLogisticName = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetSellerLogisticNo(v string) *TmallExchangeReceiveGetExchange {
	s.SellerLogisticNo = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetBuyerAddress(v string) *TmallExchangeReceiveGetExchange {
	s.BuyerAddress = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetTimeOut(v string) *TmallExchangeReceiveGetExchange {
	s.TimeOut = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetBuyerPhone(v string) *TmallExchangeReceiveGetExchange {
	s.BuyerPhone = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetBuyerName(v string) *TmallExchangeReceiveGetExchange {
	s.BuyerName = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetOaid(v string) *TmallExchangeReceiveGetExchange {
	s.Oaid = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetBuyerOpenUid(v string) *TmallExchangeReceiveGetExchange {
	s.BuyerOpenUid = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetAttributes(v string) *TmallExchangeReceiveGetExchange {
	s.Attributes = &v
	return s
}
func (s *TmallExchangeReceiveGetExchange) SetNewBoughtSku(v string) *TmallExchangeReceiveGetExchange {
	s.NewBoughtSku = &v
	return s
}
